local entity = import 'entity.libsonnet';
local types = import 'types.libsonnet';

entity
{
  '$id': 'https://picc.app/schemata/v0.1-dev/locations/room',
  title: 'Room',
  description: |||
    A room
  |||,

  properties+: {
    location: types.location,
    relationships: {
      type: 'array',
      items: {
        type: 'object',
        description: 'Relationships that bind other entities to this room.',
        properties: {
          id: types.id,
          args: {
            type: 'array',
            items: types.id,
          },
        },
      },
    },
  },
}
